summary refs log tree commit diff
diff options
context:
space:
mode:
-rwxr-xr-xbin/json-pretty10
1 files changed, 10 insertions, 0 deletions
diff --git a/bin/json-pretty b/bin/json-pretty
new file mode 100755
index 0000000..e536fd0
--- /dev/null
+++ b/bin/json-pretty
@@ -0,0 +1,10 @@
+#!/bin/bash
+
+URL=$1
+
+if [[ -z "${URL}" ]]; then
+  echo "usage: $0 <URL>"
+  exit 1
+fi
+
+curl -s "${1}" | python -m json.tool